import React from 'react';
import {BrowserRouter as Router, Navigate, Route, Routes} from 'react-router-dom';
import FormComponent from './components/FormComponent';
import CoursesPage from './components/CoursesPage';
import Header from './components/Header';
import Login from './components/Login';
import Register from './components/Register';
import UploadToFit from './components/UploadToFit';
import YourCourses from "./components/YourCourses.jsx";
import Account from "./components/AccountPage.jsx";
import Unauthorised from "./components/Unauthorised.jsx";

const App = () => {
  return (
    <Router>
      <Header />
      <Routes>
        <Route path="/" element={<Navigate replace to="/login" />} />
        <Route path="/login" element={<Login />} />
        <Route path="/register" element={<Register />} />
        <Route path="/form" element={<FormComponent />} />
        <Route path="/admin/courses" element={<CoursesPage />} />
        <Route path="/yourcourses" element={<YourCourses />} />
        <Route path="/unauth" element={<Unauthorised />}  />
        <Route path="/account" element={<Account />} />
        <Route path="/admin/upload" element={<UploadToFit />}  />
      </Routes>
    </Router>
  );
};

export default App;
